# Asterisk Project : Asterisk 12 Application_ReceiveFAX_app_fax

Added by wikibot , edited by wikibot on Aug 29, 2013

# ReceiveFAX() - [app_fax]

### Synopsis

Receive a Fax

### Description

Receives a FAX from the channel into the given filename overwriting the file if it already exists.

File created will be in TIFF format.

This application sets the following channel variables:

- `LOCALSTATIONID` - To identify itself to the remote end
- `LOCALHEADERINFO` - To generate a header line on each page
- `FAXSTATUS`
  - SUCCESS
  - FAILED
- `FAXERROR` - Cause of failure
- `REMOTESTATIONID` - The CSID of the remote side
- `FAXPAGES` - Number of pages sent
- `FAXBITRATE` - Transmission rate
- `FAXRESOLUTION` - Resolution of sent fax

### Syntax

    ReceiveFAX(filename[,c])

##### Arguments

- `filename` - Filename of TIFF file save incoming fax
- `c` - Makes the application behave as the calling machine
  (Default behavior is as answering machine)

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown